package org.dromara.resource.junziqian.openai;

public class ChatResponse
{
    private String content;
    private String error;

    public String getContent() {
        return this.content;
    }

    public String getError() {
        return this.error;
    }

    public void setContent(final String content) {
        this.content = content;
    }

    public void setError(final String error) {
        this.error = error;
    }

    @Override
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof ChatResponse)) {
            return false;
        }
        final ChatResponse other = (ChatResponse)o;
        if (!other.canEqual(this)) {
            return false;
        }
        final Object this$content = this.getContent();
        final Object other$content = other.getContent();
        Label_0065: {
            if (this$content == null) {
                if (other$content == null) {
                    break Label_0065;
                }
            }
            else if (this$content.equals(other$content)) {
                break Label_0065;
            }
            return false;
        }
        final Object this$error = this.getError();
        final Object other$error = other.getError();
        if (this$error == null) {
            if (other$error == null) {
                return true;
            }
        }
        else if (this$error.equals(other$error)) {
            return true;
        }
        return false;
    }

    protected boolean canEqual(final Object other) {
        return other instanceof ChatResponse;
    }

    @Override
    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        final Object $content = this.getContent();
        result = result * 59 + (($content == null) ? 43 : $content.hashCode());
        final Object $error = this.getError();
        result = result * 59 + (($error == null) ? 43 : $error.hashCode());
        return result;
    }

    @Override
    public String toString() {
        return "ChatResponse(content=" + this.getContent() + ", error=" + this.getError() + ")";
    }
}
